## tcllib 1.15-dfsg

=== debian/changelog ===
tcllib (1.15-dfsg-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source package format.
  * Bumped standards version to 3.9.4.
  * Use debhelper 8.9.7 features in debian/rules and updated the build
    dependency accordingly.
  * Removed unecessary patch of Makefile.in (closes: #702520).
  * Renamed manpages which conflict with ones from the tcl8.6-doc and
    tcl-memchan packages (closes: #700501, #702502, #704641).
  * Removed incorrect install-stamp.gz from the binary package
    (closes: #700503).
  * Removed unnecessary patch which fixed whatis entries.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 11 May 2013 18:48:26 +0400

tcllib (1.15-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Removed patch for inifile module.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Feb 2013 23:06:05 +0400

tcllib (1.14-dfsg-3) unstable; urgency=low

  * Added a patch which fixes ::ini::commit procedure in the inifile module.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 16:53:47 +0400

tcllib (1.14-dfsg-2) unstable; urgency=low

  * Renamed try(3tcl) manpage into try(3tcllib) to avoid conflict with
    the tcl8.6-doc package (closes: #672815).
  * Removed Chris Waters from the uploaders list (closes: #664114).
  * Removed HTML doc for no longer existing exif module (closes: #637301).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 May 2012 10:23:37 +0400

tcllib (1.14-dfsg-1) unstable; urgency=low

  * New upstream release with several new modules.
  * Bumped standards version to 3.9.2.
  * Added build-arch and build-indep rules to debian/rules.
  * Fixed manpage section in a few manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2011 23:18:12 +0400

tcllib (1.13-dfsg-1) unstable; urgency=low

  * New upstream release with several new modules.
  * Added ${misc:Depends} variable to debian/config.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 22:36:32 +0300

tcllib (1.12-dfsg-2) unstable; urgency=low

  * Renamed msgcat.3tcl manpage to doctools_msgcat.3tcl to avoid conflict
    with tcl8.X-doc packages (closes: #560819).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Dec 2009 17:41:19 +0300

tcllib (1.12-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Fixed whatis entries in manpages for the older versions of struct::graph,
    struct::matrix and struct::tree packages, and section for the
    simulation::random package.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Dec 2009 11:24:09 +0300

tcllib (1.11.1-dfsg-2) unstable; urgency=low

  * Use Sourceforge redirector in uscan control file debian/watch.
  * Renamed random.3tcl manpage to random.3tcllib to prevent conflict with
    the random manpage in libmemchan-tcl package.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Mar 2009 17:55:04 +0300

tcllib (1.11.1-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Mangled debian version in uscan control file.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Dec 2008 12:23:04 +0300

tcllib (1.10-dfsg-3) unstable; urgency=low

  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #484924).
  * Cleaned up debian/rules.
  * Bumped standards version to 3.7.3.
  * Removed empty /usr/lib directory from the binary tcllib package.
  * Removed extra leading spaces and changed section name to Programming in
    doc-base register file.
  * Fixed copyright statement in debian/copyright.
  * Removed linda override file.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Jun 2008 15:00:19 +0400

tcllib (1.10-dfsg-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed ::blowfish::blowfish option processing if -dir isn't specified
    directly.
  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/share/tcltk and switching to default
    tcl package in dependencies.
  * Bumped debhelper compatibility level to 5.

  [ Francesco Paolo Lovergine ]
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Nov 2007 19:58:17 +0300

tcllib (1.10-dfsg-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Added Sergei Golovan to uploaders.
  * Fixed bug with registering Tcllib documentation in doc-base.
  * Added uscan control file debian/watch.
  * Removed patch which added asynchronous TCP connect to dns module since it
    is included into upstream distribution.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Sep 2007 13:05:26 +0400

tcllib (1.9.dfsg1-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New maintainer Tcl/Tk Debian Packagers.
  * New upstream release (closes: #391548).
  * Removed patch from JPEG module as it is no longer needed.
  * Fixed cleanup after build.
  * Use quilt to manage patches.
  * Removed non-free RFSs from upstream source (closes: #393415).
  * Added get-orig-source target to debian/rules.
  * Fixed sections inside manual pages.
  * Fixed manpage sections in HTML documentation.
  * Added an index for HTML documentation.
  * Register HTML documentation in doc-base.
  * Moved scripts from /usr/lib to /usr/share as required by Debian
    Policy, leaving symlink in /usr/lib.
  * Added asynchronous TCP connect to dns module (see
    http://sourceforge.net/tracker/index.php?func=detail&aid=1610330&group_id=12883&atid=312883).
  * Overridden linda false positive about uncompressed changelog.
  * Bumped standards version to 3.7.2.

 -- Chris Waters <xtifr@debian.org>  Wed, 31 Jan 2007 22:40:33 -0800


