=== debian/control ===
Source: tcllib
Section: interpreters
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.9.7)
Build-Depends-Indep: tcl-dev
Standards-Version: 3.9.4
Homepage: http://tcl.activestate.com/software/tcllib/

Package: tcllib
Section: interpreters
Priority: optional
Architecture: all
Depends: ${tclsh:Depends}, ${misc:Depends}
Description: Standard Tcl Library
 Tcllib, the standard Tcl library, is a collection of common utility
 functions and modules all written in high-level Tcl.
 .
 Modules included:
   * aes: advanced encryption standard
   * amazon-s3: Amazon S3 web service interface
   * asn: an ASN.1 encoder and decoder
   * base32: a base32 encoder and decoder
   * base64: a base64 encoder and decoder
   * bee: bittorrent serialization encoder and decoder
   * bench: benchmark tool
   * bibtex: parser for bibliographies in BibTeX format
   * blowfish: blowfish encryption
   * cache: asynchronous in-memory cache
   * clock: date/time utilities
   * cmdline: a command line argument processor similar to opt
   * comm: remote communications facility
   * control: procedures for control flow structures
   * coroutine: coroutine utilities
   * counter: provides a counter facility and can compute statistics
     and histograms over the collected data.
   * crc: checksum-calculation routines (crc32, cksum, sum)
   * csv: functions to handle CSV (comma-separated values) data
   * des: DES and 3DES encryption
   * dns: dns- and resolver library-related functions
   * docstrip: tools for literate programming, often used with (La)TeX
   * doctools: documentation tools
   * fileutil: Tcl implementations of some standard Unix utilities
   * ftp: Tcl interface to the FTP protocol
   * ftpd: implementation of functions needed for an FTP server
   * fumagic: file utilities
   * generator: Tcl generator commands
   * gpx: GPS eXchange Format (GPX)
   * grammar_aycock: Aycock-Horspool-Earley parser generator for Tcl
   * grammar_fa: finite automaton operations and usage
   * grammar_me: grammar operations and usage
   * grammar_peg: grammar operations and usage
   * hook: hooks
   * html: generate and control HTML tags
   * htmlparse: parse HTML strings
   * http: HTTP protocol helper modules
   * ident: client interface to the ident protocol
   * imap4: IMAP client
   * inifile: parsing of Windows INI files
   * interp: interpreter utilities
   * irc: low-level IRC protocol interface
   * javascript: Tcl shortcuts to create common javascript functions
   * jpeg: functions to query and modify JPEG images
   * json: JSON parser
   * lambda: utility commands for anonymous procedures
   * ldap: LDAP client and extended object interface
   * log: functions to log messages with various facilities and levels
   * map: mapping utilities
   * mapproj: map projection routines
   * math: Tcl math library
   * md4: md4 hashing functions
   * md5: md5 hashing functions
   * md5crypt: md5 based password hashing
   * mime: a MIME encoder and decoder
   * multiplexer: message multiplexing
   * ncgi: a new CGI processing module
   * nmea: NMEA protocol implementation
   * nns: name service facility
   * nntp: Tcl functions for the NNTP protocol
   * ntp: functions for an NTP client
   * ooutil: utility commands for TclOO
   * otp: RFC 2289 a one-time password system
   * page: parser generator
   * pki: RSA public key encryption
   * pluginmgr: plugin management
   * png: functions to query and modify PNG images
   * pop3: a POP3 protocol implementation
   * pop3d: a POP3 server implementation
   * profiler: a function level Tcl source code profiler
   * pt: parser tools
   * rc4: implementation of the RC4 stream cipher
   * rcs: RCS low level utilities
   * report: provides objects which can be used to generate and format
     reports
   * rest: a framework for RESTful web services
   * ripemd: RIPEMD message-digest algorithm
   * sasl: Simple Authentication and Security Layer implementation
   * sha1: sha1 hashing functions
   * simulation: Tcl simulation tools
   * smtpd: implementation of functions needed for an SMTP server
   * snit: snit's not incr Tcl, OO system
   * soundex: comparison of words based on their phonetic likeness
   * stooop: simple Tcl-only object oriented programming scheme -
     provides C++/Java-like OOP interfaces
   * stringprep: preparation of internationalized strings
   * struct: Tcl implementations of common data structures (tree, graph,
     etc)
   * tar: functions to manipulate tar files
   * tepam: Tcl's enhanced procedure and argument manager
   * term: terminal control
   * textutil: string manipulation library
   * tie: framework for creating persistent Tcl arrays
   * tiff: TIFF image manipulation
   * transfer: data transfer facilities
   * treeql: tree query language
   * try: trap and process errors and exceptions
   * uev: user events
   * units: convert and manipulate quantities with units
   * uri: functions to generate and manipulate commonly-used URIs
   * uuid: generator of universally unique identifiers (UUID)
   * valtype: validation types
   * virtchannel: reflected/virtual channel support
   * wip: word interpreter
   * yaml: YAML format encoder/decoder
   * zip: working with zip archives
