## tcllib 1.16-dfsg

=== debian/changelog ===
tcllib (1.16-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added description of new modues to debian/control.
  * Changed the upstream package homepage.
  * Overridden lintian warnings on ancient autotools helpers because they
    aren't used during the package build.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Feb 2014 13:14:23 +0400
