=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 8.9.7)
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.4
-Homepage: http://tcl.activestate.com/software/tcllib/
+Standards-Version: 3.9.5
+Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
 Section: interpreters
@@ -37,10 +37,12 @@
      and histograms over the collected data.
    * crc: checksum-calculation routines (crc32, cksum, sum)
    * csv: functions to handle CSV (comma-separated values) data
+   * debug: debug messages infrastructure
    * des: DES and 3DES encryption
    * dns: dns- and resolver library-related functions
    * docstrip: tools for literate programming, often used with (La)TeX
    * doctools: documentation tools
+   * dtplite: lightweight doctools markup processor
    * fileutil: Tcl implementations of some standard Unix utilities
    * ftp: Tcl interface to the FTP protocol
    * ftpd: implementation of functions needed for an FTP server
@@ -103,6 +105,7 @@
    * soundex: comparison of words based on their phonetic likeness
    * stooop: simple Tcl-only object oriented programming scheme -
      provides C++/Java-like OOP interfaces
+   * string: tokenize strings
    * stringprep: preparation of internationalized strings
    * struct: Tcl implementations of common data structures (tree, graph,
      etc)
@@ -121,6 +124,7 @@
    * uuid: generator of universally unique identifiers (UUID)
    * valtype: validation types
    * virtchannel: reflected/virtual channel support
+   * websocket: implementation of the websocket protocol
    * wip: word interpreter
    * yaml: YAML format encoder/decoder
    * zip: working with zip archives
