=== debian/rules ===
--- 
+++ 
@@ -77,15 +77,7 @@
 	cd $(destdir)$(mandir)/mann && \
 	  for f in *.n ; do \
 	    sed -e'/\.so man.macros/ d' \
-	    	-e's/^\.TH "math::roman"  1\.0/.TH "math::roman" 3tcl 1.0/' \
-	    	-e's/^\.TH "tcl::chan::fifo" [in] /.TH "tcl::chan::fifo" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::fifo2" [in] /.TH "tcl::chan::fifo2" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::memchan" [in] /.TH "tcl::chan::memchan" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::null" [in] /.TH "tcl::chan::null" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::random" [in] /.TH "tcl::chan::random" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::string" [in] /.TH "tcl::chan::string" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::variable" [in] /.TH "tcl::chan::variable" 3tcllib /' \
-	    	-e's/^\.TH "tcl::chan::zero" [in] /.TH "tcl::chan::zero" 3tcllib /' \
+	    	-e's/^\.TH "math::roman"  1/.TH "math::roman" 3tcl 1/' \
 	    	-e's/^\.TH "tcl::transform::zlib" [in] /.TH "tcl::transform::zlib" 3tcllib /' \
 	    	-e's/^\.TH \(.\+\) [in] /.TH \1 3tcl /' \
 	    	-e's/send(n)/send(3tk)/g' \
@@ -101,6 +93,7 @@
 	    	-e's/^\.ddt/\\\&.ddt/' \
 	    	-e's/^\. It/\\\&. It/' \
 	    	-e's/^\.text/\\\&.text/' \
+	    	-e's/^\.IP,/\\.IP/' \
 	    	-e's/^\.mycombo/\\\&.mycombo/' \
 		$$f > `basename $$f .n`.3tcl; \
 	    rm $$f; \
@@ -127,17 +120,18 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.15
+v=1.16
 
 get-orig-source:
 	CURDIR=`pwd` && \
 	TMPDIR=`mktemp -d /tmp/tcllib.XXXXXX` && \
 	cd $$TMPDIR && \
-	wget -O - http://prdownloads.sourceforge.net/tcllib/tcllib-$(v).tar.gz | tar -zx && \
+	wget --no-check-certificate -O - \
+	    https://core.tcl.tk/tcllib/tarball/Tcllib-1.16.tar.gz\?uuid=tcllib-1-16 | tar -zx && \
 	for f in `grep -rl '^Network Working Group' *` ; do \
 	    echo "REMOVING NON-FREE RFC $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.gz tcllib-$(v) && \
+	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz Tcllib-$(v) && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \
