## tcllib 1.17-dfsg

=== debian/changelog ===
tcllib (1.17-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Added new modules to the long package description.
  * Removed a patch which fixes <textarea/> elements in the html module
    because it is applied upstream.
  * Bumped the standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 May 2015 09:35:43 +0300

tcllib (1.16-dfsg-2) unstable; urgency=medium

  * Added a patch from upstream which fixes an XSS vulnerability in
    the html module for <textarea/> elements (closes: #780100).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 15:12:05 +0300
