=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 8.9.7)
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
@@ -36,10 +36,11 @@
    * counter: provides a counter facility and can compute statistics
      and histograms over the collected data.
    * crc: checksum-calculation routines (crc32, cksum, sum)
+   * cron: automating the period callback of commands
    * csv: functions to handle CSV (comma-separated values) data
    * debug: debug messages infrastructure
    * des: DES and 3DES encryption
-   * dns: dns- and resolver library-related functions
+   * dns: DNS and resolver library-related functions
    * docstrip: tools for literate programming, often used with (La)TeX
    * doctools: documentation tools
    * dtplite: lightweight doctools markup processor
@@ -76,11 +77,14 @@
    * md5crypt: md5 based password hashing
    * mime: a MIME encoder and decoder
    * multiplexer: message multiplexing
+   * namespacex: namespace utility commands
    * ncgi: a new CGI processing module
+   * nettool: tools for networked applications
    * nmea: NMEA protocol implementation
    * nns: name service facility
    * nntp: Tcl functions for the NNTP protocol
    * ntp: functions for an NTP client
+   * oauth: oauth API base signature
    * ooutil: utility commands for TclOO
    * otp: RFC 2289 a one-time password system
    * page: parser generator
@@ -89,6 +93,7 @@
    * png: functions to query and modify PNG images
    * pop3: a POP3 protocol implementation
    * pop3d: a POP3 server implementation
+   * processman: manage child processes
    * profiler: a function level Tcl source code profiler
    * pt: parser tools
    * rc4: implementation of the RC4 stream cipher
