=== debian/rules ===
--- 
+++ 
@@ -120,18 +120,18 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.16
+v=1.17
 
 get-orig-source:
 	CURDIR=`pwd` && \
 	TMPDIR=`mktemp -d /tmp/tcllib.XXXXXX` && \
 	cd $$TMPDIR && \
-	wget --no-check-certificate -O - \
-	    https://core.tcl.tk/tcllib/tarball/Tcllib-1.16.tar.gz\?uuid=tcllib-1-16 | tar -zx && \
+	wget -O - \
+	    http://downloads.sourceforge.net/project/tcllib/tcllib/$(v)/tcllib-$(v).tar.gz | tar -zx && \
 	for f in `grep -rl '^Network Working Group' *` ; do \
 	    echo "REMOVING NON-FREE RFC $$f" ; rm -f $$f ; \
 	done && \
-	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz Tcllib-$(v) && \
+	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz tcllib-$(v) && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \
