## tcllib 1.18-dfsg

=== debian/changelog ===
tcllib (1.18-dfsg-3) unstable; urgency=medium

  * Fixed the nettool module which executes arp and ifconfig and can't find
    them if /usr/sbin and /sbin aren't in the user's PATH (closes: #822293).
  * Removed empty directory /usr/lib/tcltk from the tcllib binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Apr 2016 17:43:19 +0300

tcllib (1.18-dfsg-2) unstable; urgency=medium

  * Fixed FTBFS for GNU/kFreeBSD architectures because of buggy library
    placement.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 Apr 2016 22:49:28 +0300

tcllib (1.18-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Added a new optional tcllib-critcl package with some CPU-intensive
    code written in C and built with critcl.
  * Extended debian/copyright to show the copyright holders for all
    individual code files.
  * Bumped the standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Mar 2016 13:32:20 +0300
