=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.9.7)
+Build-Depends: debhelper (>= 8.9.7), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
@@ -13,6 +13,7 @@
 Priority: optional
 Architecture: all
 Depends: ${tclsh:Depends}, ${misc:Depends}
+Suggests: net-tools, tcllib-critcl
 Description: Standard Tcl Library
  Tcllib, the standard Tcl library, is a collection of common utility
  functions and modules all written in high-level Tcl.
@@ -40,6 +41,7 @@
    * csv: functions to handle CSV (comma-separated values) data
    * debug: debug messages infrastructure
    * des: DES and 3DES encryption
+   * dicttool: dictionary tools
    * dns: DNS and resolver library-related functions
    * docstrip: tools for literate programming, often used with (La)TeX
    * doctools: documentation tools
@@ -58,6 +60,8 @@
    * html: generate and control HTML tags
    * htmlparse: parse HTML strings
    * http: HTTP protocol helper modules
+   * httpd: HTTP server
+   * httpwget: tool to download files over HTTP
    * ident: client interface to the ident protocol
    * imap4: IMAP client
    * inifile: parsing of Windows INI files
@@ -71,6 +75,7 @@
    * log: functions to log messages with various facilities and levels
    * map: mapping utilities
    * mapproj: map projection routines
+   * markdown: Markdown processor
    * math: Tcl math library
    * md4: md4 hashing functions
    * md5: md5 hashing functions
@@ -85,6 +90,8 @@
    * nntp: Tcl functions for the NNTP protocol
    * ntp: functions for an NTP client
    * oauth: oauth API base signature
+   * oodialect: build TclOO based DSLs
+   * oometa: data registry service for TclOO classes
    * ooutil: utility commands for TclOO
    * otp: RFC 2289 a one-time password system
    * page: parser generator
@@ -120,6 +127,8 @@
    * textutil: string manipulation library
    * tie: framework for creating persistent Tcl arrays
    * tiff: TIFF image manipulation
+   * tool: dictionary tools
+   * tool::datatype: dictionary tools
    * transfer: data transfer facilities
    * treeql: tree query language
    * try: trap and process errors and exceptions
@@ -133,3 +142,17 @@
    * wip: word interpreter
    * yaml: YAML format encoder/decoder
    * zip: working with zip archives
+
+Package: tcllib-critcl
+Section: libs
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends}, ${tclsh:Depends}, ${misc:Depends}
+Multi-Arch: same
+Enhances: tcllib
+Description: Standard Tcl Library (CriTcl accelerators)
+ Tcllib, the standard Tcl library, is a collection of common utility
+ functions and modules all written in high-level Tcl.
+ .
+ This package includes several Tcllib CPU intensive procedures rewritten
+ in C and built with CriTcl.
