=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # debian/rules that uses debhelper.
+
+include /usr/share/dpkg/architecture.mk
 
 destdir=debian/tmp
 mandir=/usr/share/man
 docdir=/usr/share/doc/tcllib
 exampledir=$(docdir)/examples
+tcllibcdir=debian/tcllib-critcl/usr/lib/tcltk/tcllibc
 
 %:
 	dh $@
@@ -18,7 +21,13 @@
 	rm -f config.cache config.status
 	dh_clean
 
-# Build mostly covers docs and such
+# Build-arch works with the critcl part
+override_dh_auto_build-arch:
+	dh_testdir
+	#
+	$(MAKE) critcl
+
+# Build-indep mostly covers docs and such
 override_dh_auto_build-indep:
 	dh_testdir
 	#
@@ -36,6 +45,8 @@
 override_dh_auto_test:
 	# Disable tests (TODO: add all required packages to build dependencies
 	# and enable tests)
+
+override_dh_auto_install-arch:
 
 override_dh_auto_install-indep:
 	dh_testdir
@@ -109,8 +120,25 @@
 	#
 	# generate documentation index
 	tclsh debian/gen_index.tcl doc/html >$(destdir)/index.html
+
+override_dh_install-arch:
+	dh_install -a
 	#
-	dh_install -i
+	# remove unneded files
+	rm $(tcllibcdir)/license.terms
+	rm $(tcllibcdir)/teapot.txt
+	#
+	# relocate library file
+	find $(tcllibcdir) -name '*.so' -exec mv \{\} $(tcllibcdir)/ \;
+	find $(tcllibcdir) -name pkgIndex.tcl -exec mv \{\} $(tcllibcdir)/ \;
+	sed -i -e 's/file join \$$path/file join \$$dir/' $(tcllibcdir)/pkgIndex.tcl
+	#
+	# move all the library
+	mkdir debian/tcllib-critcl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
+	mv $(tcllibcdir) debian/tcllib-critcl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
+	#
+	# cleanup
+	find debian/tcllib-critcl -type d -empty -delete
 
 override_dh_compress:
 	dh_compress -Xusr/share/doc/tcllib/examples/ \
@@ -120,7 +148,7 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.17
+v=1.18
 
 get-orig-source:
 	CURDIR=`pwd` && \
@@ -134,6 +162,7 @@
 	tar -Jcf $$CURDIR/tcllib_$(v)-dfsg.orig.tar.xz tcllib-$(v) && \
 	rm -rf $$TMPDIR
 
-.PHONY: override_dh_clean override_dh_auto_build-indep override_dh_auto_install-indep \
+.PHONY: override_dh_clean
+	override_dh_auto_build-arch override_dh_auto_install-arch override_dh_install-arch \
+	override_dh_auto_build-indep override_dh_auto_install-indep \
 	override_dh_compress override_dh_gencontrol get-orig-source
-
