## tcllib 1.19-dfsg

=== debian/changelog ===
tcllib (1.19-dfsg-2) unstable; urgency=medium

  * Fix a bug in the dependencies on iproute and freebsd-net-tools for
    tcllib which is architecture all, so they can't be different for
    different architectures.
  * Override a lintian error about dependency on hurd since it's just a way
    of representing empty dependency on hurd retaining hard dependency on
    other architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Feb 2018 21:42:47 +0300

tcllib (1.19-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Replace the arp and ifconfig calls by parsing /proc/net/arp and calling
    ip address show (for Linux only) in the nettool module because of the
    changes in the ifconfig output.
  * Add iproute2 to the dependencies list for nettool and uuid modules (for
    Linux).
  * Add freebsd-net-tools to the dependencies list for nettool module (for
    GNU/kFreeBSD).
  * Bump the debhelper compatibility level to 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Feb 2018 09:14:28 +0300
