=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.9.7), critcl
+Build-Depends: debhelper (>= 10), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
 Section: interpreters
 Priority: optional
 Architecture: all
-Depends: ${tclsh:Depends}, ${misc:Depends}
-Suggests: net-tools, tcllib-critcl
+Depends: ${tclsh:Depends}, iproute2 | freebsd-net-tools | hurd, ${misc:Depends}
+Suggests: tcllib-critcl
 Description: Standard Tcl Library
  Tcllib, the standard Tcl library, is a collection of common utility
  functions and modules all written in high-level Tcl.
@@ -40,6 +40,7 @@
    * cron: automating the period callback of commands
    * csv: functions to handle CSV (comma-separated values) data
    * debug: debug messages infrastructure
+   * defer: deferred execution
    * des: DES and 3DES encryption
    * dicttool: dictionary tools
    * dns: DNS and resolver library-related functions
@@ -100,6 +101,8 @@
    * png: functions to query and modify PNG images
    * pop3: a POP3 protocol implementation
    * pop3d: a POP3 server implementation
+   * practcl: tool for integrating large modules for C API Tcl code
+     that requires custom Tcl types and TclOO objects
    * processman: manage child processes
    * profiler: a function level Tcl source code profiler
    * pt: parser tools
@@ -129,9 +132,12 @@
    * tiff: TIFF image manipulation
    * tool: dictionary tools
    * tool::datatype: dictionary tools
+   * tool-ui: abstractions to allow Tao to express Native Tk, HTML5, and
+     Tao-Layout interfaces
    * transfer: data transfer facilities
    * treeql: tree query language
    * try: trap and process errors and exceptions
+   * udpcluster: UDP peer-to-peer cluster
    * uev: user events
    * units: convert and manipulate quantities with units
    * uri: functions to generate and manipulate commonly-used URIs
