=== debian/rules ===
--- 
+++ 
@@ -148,7 +148,7 @@
 	tcltk-depends
 	dh_gencontrol
 
-v=1.18
+v=1.19
 
 get-orig-source:
 	CURDIR=`pwd` && \
