## tcllib 1.20%2Bdfsg

=== debian/changelog ===
tcllib (1.20+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/copyright format.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.4.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 Dec 2019 12:27:16 +0300
