=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,9 @@
 	dh_testdir
 	#
 	$(MAKE) DESTDIR=$(destdir) install 
+	#
+	# remove the critcl package from the arch-indep package
+	find $(destdir) -name tcllibc -type d -prune -exec rm -rf \{\} \;
 	#
 	# install the mpexpand script, which doesn't otherwise get installed.
 	install -p -m 755 modules/doctools/mpexpand $(destdir)/usr/bin
