## tcllib 1.20+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 10), critcl
+Build-Depends: debhelper (>= 12), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
@@ -29,6 +29,7 @@
    * bibtex: parser for bibliographies in BibTeX format
    * blowfish: blowfish encryption
    * cache: asynchronous in-memory cache
+   * clay: clay framework
    * clock: date/time utilities
    * cmdline: a command line argument processor similar to opt
    * comm: remote communications facility
@@ -72,6 +73,7 @@
    * jpeg: functions to query and modify JPEG images
    * json: JSON parser
    * lambda: utility commands for anonymous procedures
+   * lazyset: lazy evaluation for variables and arrays
    * ldap: LDAP client and extended object interface
    * log: functions to log messages with various facilities and levels
    * map: mapping utilities
