## tcllib 1.21%2Bdfsg

=== debian/changelog ===
tcllib (1.21+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch orig version mangling.
  * Make tcllib multi-arch foreign.
  * Remove no longer used lintian override.
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 10 May 2022 11:44:23 +0300
