## tcllib 1.21+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 12), critcl
 Build-Depends-Indep: tcl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://core.tcl.tk/tcllib/home
 
 Package: tcllib
 Section: interpreters
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Depends: ${tclsh:Depends}, iproute2 | freebsd-net-tools | hurd, ${misc:Depends}
 Suggests: tcllib-critcl
 Description: Standard Tcl Library
@@ -84,6 +85,7 @@
    * md5: md5 hashing functions
    * md5crypt: md5 based password hashing
    * mime: a MIME encoder and decoder
+   * mkdoc: extracts Markdown comments from source code
    * multiplexer: message multiplexing
    * namespacex: namespace utility commands
    * ncgi: a new CGI processing module
