## tcllib 2.0+dfsg

=== debian/changelog ===
tcllib (2.0+dfsg-5) unstable; urgency=medium

  * Re-introduce tcl-dev into the build dependencies because debian/rules
    calls tcltk-depends (closes: #1107649).
  * Add the VCS headers to debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 20:37:28 +0300

tcllib (2.0+dfsg-4) unstable; urgency=medium

  * Build two versions of the tcllibc library, one for Tcl 8.6, another one
    for Tcl 9.0.
  * Drop doc-base support.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 23 Apr 2025 01:27:42 +0300

tcllib (2.0+dfsg-3) unstable; urgency=medium

  * Add a patch which fixes missing variable declaration in the dns module.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 09 Apr 2025 10:18:58 +0300

tcllib (2.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS when building only the architecture dependent package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Nov 2024 20:36:17 +0300

tcllib (2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch orig version mangling.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Nov 2024 12:20:51 +0300
