=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 12), critcl
-Build-Depends-Indep: tcl-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), critcl (>= 3.3), tcl-dev, tcl8.6-dev, tcl9.0-dev
+Standards-Version: 4.7.2
 Homepage: https://core.tcl.tk/tcllib/home
+Vcs-Browser: https://salsa.debian.org/tcltk-team/tcllib
+Vcs-Git: https://salsa.debian.org/tcltk-team/tcllib.git
 
 Package: tcllib
 Section: interpreters
@@ -157,7 +158,7 @@
 Section: libs
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${tclsh:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, tcl8.6 | tcl9.0, ${misc:Depends}
 Multi-Arch: same
 Enhances: tcllib
 Description: Standard Tcl Library (CriTcl accelerators)
