=== debian/watch ===
--- 
+++ 
@@ -4,6 +4,5 @@
 version=3
 
 opts="dversionmangle=s/[-+]dfsg\d*$//, \
-    uversionmangle=s/$/+dfsg/, \
     oversionmangle=s/$/+dfsg/" \
     http://sf.net/tcllib/tcllib-([\d.]*).tar.gz
